Bug 104785 - Current portlet layout not selected.
Current portlet layout not selected.
Product: Red Hat Enterprise Portal Server
Classification: Retired
Component: Admin ui (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
Depends On:
Blocks: 108447
  Show dependency treegraph
Reported: 2003-09-21 19:44 EDT by Karsten Wade
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-05 13:43:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2003-09-21 19:44:08 EDT
Description of problem:

In the Configure Portal view, there are 5 default column choices for how
portlets are laid out in a tab.  There are 5 images to show the columnar layout,
and 5 radio button images to denote if the selection is on/off.  E.g.:


After selecting one of the layouts, the radio button changes from off to on.

However, the radio buttons all return to off whenever the page is left then
returned to.  This does not happen when the page is merely reloaded.  For
example, if you add and configure a new portlet, when you return to the
Configure Portal page, the radio buttons are all returned to off.  The same
thing occurs if you Return to Portal, then go back to Configure Portal.

You can determine which columnar layout you are likely using by the portlets
displayed above, but this is not as obvious.

Version-Release number of selected component (if applicable):
Portal Server 1.0

How reproducible:

Steps to Reproduce:
1. Go to Configure Portal, select a columnar layout
2. Return to Portal 
3. Go back to Configure Portal
Actual results:
Radio buttons all return to off.

Expected results:
The currently configured columnar layout for the selected tab has the radio
button next to it showing it as on.

Additional info:

Red Hat Linux 9, all errata packages and kernels
mozilla-1.2.1-26 (aiui galeon uses this engine)
Comment 1 Jon Orris 2006-09-05 13:43:36 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.